Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055497 - Allow a user to reboot the guest, selecting a new 'run once' mode if required during the OS installation step.
Summary: Allow a user to reboot the guest, selecting a new 'run once' mode if required...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 3.3.0
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
: 3.3.4
Assignee: Yedidyah Bar David
QA Contact: movciari
URL:
Whiteboard: integration
Depends On: 1034788
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 12:10 UTC by rhev-integ
Modified: 2014-07-09 15:05 UTC (History)
11 users (show)

Fixed In Version: ovirt-hosted-engine-setup-1.0.0-10.el6ev
Doc Type: Bug Fix
Doc Text:
During operating system installation on the hosted-engine virtual machine, users may now reboot the virtual machine again into the selected "run once" mode. This allows users to avoid problems that might arise from initial boot issues, such as a PXE timeout.
Clone Of: 1034788
Environment:
Last Closed: 2014-07-09 05:40:54 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 22203 None None None Never
oVirt gerrit 23926 None None None Never
oVirt gerrit 23927 None None None Never
oVirt gerrit 28900 ovirt-hosted-engine-setup-1.0 MERGED packaging: setup: write answer file also on error Never

Comment 1 Sandro Bonazzola 2014-01-31 07:43:11 UTC
Merged on upstream 1.0 branch.

Comment 3 movciari 2014-02-20 10:05:44 UTC
setup lets user reboot VM but doesn't let him choose a new boot device (new run_once mode)

Comment 8 Yedidyah Bar David 2014-06-26 05:44:53 UTC
Hi Timothy,

This bug was only half-resolved. The original bug also asked to allow changing the selected boot device (e.g. from PXE to CD). We didn't fix that. But I verified that if a user wishes to do that (change the selection), the user has to:
1. Abort the setup when prompted.
2. Stop the VM by running 'hosted-engine --vm-poweroff'.
3. Start again.

Also, semi-related, the answer file will now be saved at the end even if aborted as described above. This means that if users want to try again with same answers, they can do the above, but pass an answer file - e.g. if (1.) above said 'answer file is /var/lib/some/file', step (3.) can be:
hosted-engine --deploy --config-append=/var/lib/some/file

Not sure this requires a doc-text, you might (instead/in addition) want to document the above elsewhere.

Comment 9 movciari 2014-07-01 08:09:06 UTC
this is not really a fix, it's just a workaround - you should give user fourth option that will allow him to choose different run_once mode without rerunning hosted-engine --deploy instead of making him abort it, destroy VM, manually edit answer file and redeploy

Comment 12 movciari 2014-07-03 09:40:41 UTC
ok, so in those comments you are basically saying that you will definitely not fix everything from description of bug, but you will provide a workaround where user has to use answer file and if he wants to select a new run_once mode, he has to edit this answer file manually, right?

Comment 13 Yedidyah Bar David 2014-07-04 08:42:02 UTC
(In reply to movciari from comment #12)
> ok, so in those comments you are basically saying that you will definitely
> not fix everything from description of bug, but you will provide a
> workaround where user has to use answer file and if he wants to select a new
> run_once mode, he has to edit this answer file manually, right?

Indeed.

I didn't say "definitely", just tried to explain that it will require considerably more work than I think is worthwhile.

If you still think we should do everything, you are welcome to move the other bug to assigned. Perhaps also ask GSS about this (it's their request originally). If you agree that at least for 3.3 we won't do more now, please move this one to qa...

Thanks!

Comment 14 Yedidyah Bar David 2014-07-09 05:40:54 UTC
This bug has two parts:

1. Allow rebooting the guest during OS install.
This was fixed on Jan 31.

2. Allow changing the boot device.
This was not yet done.

We decided that (2.) is not important enough to keep this bug open on 3.3, and that (1.) is not significant enough to appear in the errata for 3.3.

Thus closing this bug as wontfix.

Clones of this bug for later versions (#1111506 and #1034788) are currently left open.


Note You need to log in before you can comment on or make changes to this bug.